Class | Ramaze::Logger::Xosd
In: | lib/ramaze/log/xosd.rb
Parent: | ::Xosd

Informer for the XOSD notification system for X11.

You can install the ruby-bindings with:

      gem install xosd.

### Methods

log new

### Included Modules

Logging

### Constants

DEFAULT | = | { :font_size => 20, :font => "-*-*-*-*-*-*-%d-*-*-*-*-*-*-*", :align => 'center', :color => '#FFFFFF', :lines => 3, :valign => 'top', :timeout => 3, :outline_color => "#000000", :outline_width => 1, :vertical_offset => 20, :colors => { :error => "#FF0000", :info => "#00FF00", :warn => "#EAA61E", :debug => "#FFFF00"
IGNORE | = | [:colors, :font_size, :lines] |  | keys to ignore when setting the options to the instance.
QUEUE | = | Queue.new |  | Here new messages are pushed to eventually displaying them.

### Attributes

options | [RW] |

### Public Class methods

new(options = {})

Create a new instance, valid options are in DEFAULT. In the background a new thread will be running that checks the QUEUE and processes all messages that are being sent to it. This is done to make output nicer and readable.

### Public Instance methods

log(tag, *messages)

pushes all messages it gets on the QUEUE for further processing.

[Validate]